## org.eclipse.datatools.sqltools.data.internal.ui
Class OutputItemAdapter

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.ui.OutputItemAdapter

All Implemented Interfaces:
  Output

    public class OutputItemAdapter

extends java.lang.Object
implements Output

Author:
  groux

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.data.internal.core.common.Output
`STATUS_CRITICAL_ERROR, STATUS_FAILED, STATUS_RUNNING, STATUS_STARTED, STATUS_SUCCEEDED, STATUS_TERMINATED, STATUS_WARNING`

Constructor Summary
`OutputItemAdapter(OperationCommand outputItem)`

Method Summary
`void` `write(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputItemAdapter

    public OutputItemAdapter(OperationCommand outputItem)

Method Detail

### write

    public void write(java.lang.String s)

  Specified by:
    `write` in interface `Output`